//【登録場所】リンク
//【ラベル】
// SearchExmodoki.js $LINK 1のときは「二次元画像検索」
// SearchExmodoki.js $LINK 2のときは「画像情報検索サイト」
// SearchExmodoki.js $LINK 3のときは「booru系類似画像検索」
//
//【内容】linkをPOSTして、httprequestで返されたlocationをブラウザで開いたり、ブラウザに成形済みのURIを送ったり
// 1 = 二次元画像検索(http://www.ascii2d.net/imagesearch)
// 2 = 画像情報検索サイト(http://iisearch.ddo.jp)
// 3 = booru系類似画像検索(http://iqdb.org)
// << メモ >>
// 2と3は、[HTTP/1.1 200 OK]の場合の対象方法が不明なためPOST用のURLを直接ブラウザで開く処理になってます
// 
//【コマンド1】${SCRIPT:S} SearchExmodoki.js $LINK 1 // 二次元画像検索
//【コマンド2】${SCRIPT:S} SearchExmodoki.js $LINK 2 // 画像情報検索サイト
//【コマンド3】${SCRIPT:S} SearchExmodoki.js $LINK 3 // booru系類似画像検索
//
//【更新日】2011/04/28
//【スクリプト】SearchExmodoki.js
//
var vcx  = v2c.context;
var link = vcx.link; // arg[0]でもOK?
var args = v2c.context.args[1];
var url  = beforeRedirect(encodeURIComponent(link), args);
if (!(url == "")) { v2c.browseURLExt(url); }

function beforeRedirect(data, si) {
	if (si == 2) {
		// 画像情報検索サイト
		return "http://iisearch.ddo.jp/front.php?mode=1&url="+data+"?Shift_JIS?POST";
	} else if (si == 3) {
		// booru系類似画像検索
		return "http://iqdb.org/?url="+data+"?UTF-8?POST";
	} else {
		// 二次元画像検索
		var hr = v2c.createHttpRequest("http://www.ascii2d.net/imagesearch/search?uri="+data+"?UTF-8?POST", "");
		hr.setRequestProperty("Referer", "http://www.ascii2d.net/imagesearch");
		hr.getContentsAsString();
		if (hr.responseCode >= 301 && 303 >= hr.responseCode) {
			return hr.getResponseHeader("Location");
		} else {
			return "";
		}
	}
}
